Page MenuHomePhabricator

Minimize differences between beta and production (Tracking)
Open, MediumPublic

Description

Only fundamental difference between beta and prod is that:

  1. Beta has code that is continuously deployed (auto update)
  2. Beta has jenkins access
  3. Beta syncs come page resources from production

*All* other differences have to go, such as:

  1. The entire 'beta' module
  2. All ::beta roles
  3. Realm branching in any mediawiki related module
  4. Fundamental technology differences (Swift vs NFS)

This is a tracking bug for tracking this.

Related Objects

StatusSubtypeAssignedTask
Resolvedmobrovac
Resolvedmobrovac
OpenNone
OpenNone
Resolved yuvipanda
Resolvedmmodell
Resolvedthcipriani
Resolvedfaidon
Resolved yuvipanda
DeclinedNone
DeclinedAndrew
Resolved yuvipanda
Resolvedhashar
Resolvedmobrovac
Resolved GWicke
Resolved yuvipanda
Resolvedmobrovac
Resolvedmobrovac
Resolvedsanthosh
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
ResolvedJoe
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Resolvedbd808
ResolvedJoe
Resolved yuvipanda
Resolved yuvipanda
Resolved yuvipanda
Declined yuvipanda
Resolved yuvipanda
Resolved AlexMonk-WMF
DeclinedNone
ResolvedJoe
ResolvedAndrew
ResolvedKrenair
Resolved AlexMonk-WMF
Resolvedfgiunchedi
Resolved AlexMonk-WMF
ResolvedKrenair
Resolvedfgiunchedi
ResolvedKrenair
DeclinedNone
Resolvedmobrovac
ResolvedKrinkle
ResolvedKartikMistry
ResolvedKartikMistry
Resolvedbd808
InvalidNone
DeclinedNone
Resolveddduvall
Resolveddduvall
OpenNone
ResolvedNone
Resolved chasemp
ResolvedAndrew
DeclinedNone
DuplicateNone
Resolved chasemp
Resolved chasemp
Resolvedfaidon
OpenNone
Resolved chasemp
Resolvedaborrero
Resolvedaborrero
Resolved chasemp
Resolved chasemp
Resolvedaborrero
ResolvedPapaul
Resolved chasemp
Resolved chasemp
Resolved chasemp
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
Resolvedfaidon
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedCmjohnson
Resolvedaborrero
ResolvedCmjohnson
Resolvedaborrero
ResolvedCmjohnson
Resolvedaborrero
ResolvedCmjohnson
ResolvedAndrew
Resolved chasemp
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
Resolvedaborrero
ResolvedAndrew
Resolvedaborrero
InvalidAndrew
ResolvedAndrew
ResolvedNone
ResolvedAndrew
DeclinedNone
ResolvedAndrew
ResolvedAndrew
ResolvedAndrew
Duplicateherron
Resolvedherron
Resolvedbd808
Resolvedherron
Resolved JHedden
ResolvedKrenair
Resolvedmmodell
Resolvedbd808
ResolvedKrenair
Resolveddduvall
ResolvedAndrew
Resolvedhashar
Duplicateaborrero
Resolvedaborrero
OpenMajavah
ResolvedKrinkle
ResolvedJoe
OpenNone
OpenNone
OpenNone
OpenNone

Event Timeline

yuvipanda raised the priority of this task from to Needs Triage.
yuvipanda updated the task description. (Show Details)
yuvipanda added subscribers: yuvipanda, Joe.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 20 2015, 8:19 AM
yuvipanda renamed this task from Minimize differences between beta and production to Minimize differences between beta and production (Tracking).Jan 20 2015, 8:36 AM
yuvipanda set Security to None.
yuvipanda updated the task description. (Show Details)
demon added a subscriber: demon.Jan 26 2015, 10:10 PM
greg added a subscriber: greg.Jan 27 2015, 5:20 PM
Dzahn triaged this task as Medium priority.Jan 28 2015, 5:51 PM
Dzahn added a subscriber: Dzahn.
yuvipanda removed yuvipanda as the assignee of this task.Jun 7 2015, 5:14 PM
Legoktm removed a subscriber: Legoktm.
MaxSem moved this task from Unsorted to Cleanup on the Technical-Debt board.Jul 17 2016, 6:16 PM
Krenair updated the task description. (Show Details)Jul 30 2018, 7:59 PM
Krenair updated the task description. (Show Details)